/* 页面主体样式 */
.application-list-page {
    padding-top: 80px;
}

.application-list-page .container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 20px;
}

.page-title {
    font-size: 28px;
    color: var(--title-color);
    text-align: center;
    margin-bottom: 40px;
    padding-top: 20px;
}

.application-list-section {
    padding-bottom: 60px;
}

.application-list-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.scenario-card {
    border: 1px solid var(--border-color);
    border-radius: 5px;
    overflow: hidden;
    transition: box-shadow 0.3s ease;
    text-decoration: none;
    display: block;
}



.scenario-card:hover .scenario-name {
    text-decoration: underline;
}

.scenario-img {
    width: 100%;
    height: 250px;
    border-bottom: 1px solid var(--border-color);
}

.scenario-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;
}

.scenario-img img:hover{
    transform: scale(1.05);
}

.scenario-content {
    padding: 20px;
}

.scenario-name {
    font-size: 20px;
    color: var(--title-color);
    margin-bottom: 15px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 600;
}

.scenario-desc {
    font-size: 16px;
    color: var(--text-color);
    line-height: 1.6;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}